services:
    _defaults:
        autowire: true
        autoconfigure: true

    chill.main.menu_composer:
        class: Chill\MainBundle\Routing\MenuComposer
        arguments:
            - '@Symfony\Component\Routing\RouterInterface'
            - '@Knp\Menu\FactoryInterface'
            - '@Symfony\Contracts\Translation\TranslatorInterface'
    Chill\MainBundle\Routing\MenuComposer: '@chill.main.menu_composer'

    chill.main.routes_loader:
        class: Chill\MainBundle\Routing\Loader\ChillRoutesLoader
        arguments:
            - "%chill_main.routing.resources%"
        tags:
            - { name: routing.loader }

    chill.main.twig.chill_menu:
        class: Chill\MainBundle\Routing\MenuTwig
        tags:
            - { name: twig.extension }

    Chill\MainBundle\Routing\ChillUrlGenerator: ~

    Chill\MainBundle\Routing\ChillUrlGeneratorInterface:
        alias: 'Chill\MainBundle\Routing\ChillUrlGenerator'
